# Copyright (c) 2011 Riverbank Computing Limited.
#
# This file is part of dip.
#
# This file may be used under the terms of the GNU General Public License
# v2 or v3 as published by the Free Software Foundation which can be found in
# the files LICENSE-GPL2.txt and LICENSE-GPL3.txt included in this package.
# In addition, as a special exception, Riverbank gives you certain additional
# rights.  These rights are described in the Riverbank GPL Exception, which
# can be found in the file GPL-Exception.txt in this package.
#
# This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
# WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.


class AutomationError(Exception):
    """ The AutomationError exception is raised when an automated command
    cannot be executed.
    """

    def __init__(self, id, command, message):
        """ Initialise the exception.

        :param id:
            is the identifier of the item that the command was applied to.
        :param command:
            is the name of the command.
        :param message:
            the message describing the detail of the exception.
        """

        super(AutomationError, self).__init__(
                "'{0}' '{1}' command: {2}".format(id, command, message))
