# Copyright (c) 2012 Riverbank Computing Limited.
#
# This file is part of dip.
#
# This file may be used under the terms of the GNU General Public License
# v2 or v3 as published by the Free Software Foundation which can be found in
# the files LICENSE-GPL2.txt and LICENSE-GPL3.txt included in this package.
# In addition, as a special exception, Riverbank gives you certain additional
# rights.  These rights are described in the Riverbank GPL Exception, which
# can be found in the file GPL-Exception.txt in this package.
#
# This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
# WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.


from ..model import Interface


class ICloseViewVeto(Interface):
    """ The ICloseViewVeto interface defines the API to be implemented by a
    :term:`tool` that wants to exert control over whether or not a view can be
    closed.
    """

    def veto(self, view):
        """ Determine if the view is to be prevented from being closed.

        :param view:
            is the view.
        :return:
            ``True`` if the close of the view is to be prevented.
        """
