# Copyright (c) 2012 Riverbank Computing Limited.
#
# This file is part of dip.
#
# This file may be used under the terms of the GNU General Public License
# v2 or v3 as published by the Free Software Foundation which can be found in
# the files LICENSE-GPL2.txt and LICENSE-GPL3.txt included in this package.
# In addition, as a special exception, Riverbank gives you certain additional
# rights.  These rights are described in the Riverbank GPL Exception, which
# can be found in the file GPL-Exception.txt in this package.
#
# This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
# WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.


from ....model import implements, Model
from ....ui.actions import WhatsThisAction

from ... import ITool


@implements(ITool)
class WhatsThisTool(Model):
    """ The WhatsThisTool class is the default implementation of a :term:`tool`
    that implements the well known "What's This?" action.  This assumes that
    the toolkit supplies the behaviour as well as the action itself.
    """

    # The tool's identifier.
    id = 'dip.shell.tools.whats_this'

    # The action.
    whats_this_action = WhatsThisAction()
