# Copyright (c) 2011 Riverbank Computing Limited.
#
# This file is part of dip.
#
# This file may be used under the terms of the GNU General Public License
# v2 or v3 as published by the Free Software Foundation which can be found in
# the files LICENSE-GPL2.txt and LICENSE-GPL3.txt included in this package.
# In addition, as a special exception, Riverbank gives you certain additional
# rights.  These rights are described in the Riverbank GPL Exception, which
# can be found in the file GPL-Exception.txt in this package.
#
# This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
# WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.


from PyQt4.QtGui import QDockWidget

from ....model import adapt
from ....ui import IDock

from ..single_qwidget_container_adapter import SingleQWidgetContainerAdapter
from ..utils import as_QWidget, from_QWidget


@adapt(QDockWidget, to=IDock)
class QDockWidgetIDockAdapter(SingleQWidgetContainerAdapter):
    """ An adapter to implement IDock for a QDockWidget. """

    @IDock.action.default
    def action(self):
        """ Invoked to return the default action. """

        action = self.adaptee.toggleViewAction()

        # Configure the action.
        action.setObjectName(self.id)

        return action
