# Copyright (c) 2012 Riverbank Computing Limited.
#
# This file is part of dip.
#
# This file may be used under the terms of the GNU General Public License
# v2 or v3 as published by the Free Software Foundation which can be found in
# the files LICENSE-GPL2.txt and LICENSE-GPL3.txt included in this package.
# In addition, as a special exception, Riverbank gives you certain additional
# rights.  These rights are described in the Riverbank GPL Exception, which
# can be found in the file GPL-Exception.txt in this package.
#
# This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
# WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.


from ..model import Bool, Instance, List, Str

from .i_action import IAction
from .i_object import IObject


class IActionCollection(IObject):
    """ The IActionCollection interface defines the API to be implemented by an
    :term:`action` collection.
    """

    # The actions contained in the collection.
    actions = List(Instance(IAction, Str()))

    # The text of the action collection.
    text = Str()

    # The identifier of an optional action collection that this action
    # collection will be placed within.  If it is not specified then the
    # toolkit will place it automatically.
    within = Str()
