# Copyright (c) 2012 Riverbank Computing Limited.
#
# This file is part of dip.
#
# This file may be used under the terms of the GNU General Public License
# v2 or v3 as published by the Free Software Foundation which can be found in
# the files LICENSE-GPL2.txt and LICENSE-GPL3.txt included in this package.
# In addition, as a special exception, Riverbank gives you certain additional
# rights.  These rights are described in the Riverbank GPL Exception, which
# can be found in the file GPL-Exception.txt in this package.
#
# This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
# WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.


from ..model import Bool, Instance, List

from .i_container import IContainer
from .i_view import IView


class ITabBar(IContainer):
    """ The ITabBar interface defines the API to be implemented by a tab bar.
    """

    # The current view.
    current_view = Instance(IView)

    # This is set if the tabs are visible.
    tabs_visible = Bool()

    # The contained sub-views.  Note that, unlike most other containers, the 
    # sequence of views is mutable.
    views = List(IView)
