# Copyright (c) 2011 Riverbank Computing Limited.
#
# This file is part of dip.
#
# This file may be used under the terms of the GNU General Public License
# v2 or v3 as published by the Free Software Foundation which can be found in
# the files LICENSE-GPL2.txt and LICENSE-GPL3.txt included in this package.
# In addition, as a special exception, Riverbank gives you certain additional
# rights.  These rights are described in the Riverbank GPL Exception, which
# can be found in the file GPL-Exception.txt in this package.
#
# This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
# WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.


from .single_subview_container_factory import SingleSubviewContainerFactory


# FIXME: Is this still needed?
class ViewMetadata(SingleSubviewContainerFactory):
    """ The ViewMetadata class behaves like a container for a single view that
    simply adds additional data to the view, typically using an interface.
    """

    def create(self, model, controller, parent):
        """ Create a view instance.

        :param model:
            is the model.
        :param controller:
            is the controller.
        :param parent:
            is the optional parent view.
        :return:
            the view.
        """

        if len(self.contents) == 0:
            return None

        # Create the single sub-view.
        view = self.contents[0].create(model, controller, parent)

        # Add the meta-data.
        self.configure(view)

        return view
