from dip.shell.shells.main_window import MainWindowShell
from dip.shell.tools.quit import QuitTool
from dip.ui import Application, IApplication, IView


# Create the toolkit specific application.
app = Application()

# Define the shell.  Every shell created by the factory will have a QuitTool
# instance.
shell = MainWindowShell(tool_factories=[QuitTool], window_title="Quit Shell")

# Create the toolkit specific instance of the shell.
ui = shell()

# Make the shell visible using the toolkit independent API.
IView(ui).visible = True

# Enter the event loop.
IApplication(app).execute()
